#!/bin/sh

function param_html_in(){
    local tit=$1
    local name=$2
    local infile=$3
    echo "<tr><td>$tit</td><td><input type=\"text\" name=\"$name\" value="$(getparam "$name" < $infile)"></td></tr>"
}

function param_html_sel(){
    local tit=$1
    local name=$2
    local infile=$3
    local listval=$4
    local listlab=$5
    local curval='yes_keepnet'
    test -f $infile && $(getparam "$name" < $infile)
    echo -e "<tr>\n<td>$tit</td>\n</tr>\n<tr>\n<td><select name=\"$name\">"
    while [ "$listval" != "" ]; do
        echo -n "<option value=\"$listval\""
	test "$listval" = "$curval" && echo " selected"
	echo ">$listlab</option>"
	shift
	shift
	listval=$4
	listlab=$5
    done
    echo -e "</select></td>\n</tr>"
}

function getparam(){
    IFS=""
    key=$1
    while read ln; do
	k=${ln%%'='*}
	val=${ln#*'='}
	if [ "$k" = "$key" ]; then
	    echo $val
	    return 1
	fi
    done

    return 0
}

if [ "$QUERY_STRING" = "" ]; then
    echo -ne "Content-type: text/html\r\nCache-Control: no-cache\r\nExpires: -1\r\n\r\n"

    cat carel.inc.html

    echo "
    <h1 style=\"text-align: center\">pCOWeb Restore Utility</h1>
    <br>
    <div style=\"margin-left: 20px; margin-top: 10px\">WARNING: user files and settings will be lost.</div>
    <form style=\"padding-left: 20px\" method=\"GET\" action=\"clearflashdisk.cgi\">
    <table>"
    echo $(param_html_sel "Are you sure you want to delete user files and settings?" "flash" "flash" "clear_abort" "No" "yes_all" "Yes, delete all" "yes_keepnet" "Yes, delete all except network configuration" "yes_logger" "Yes, delete logger files only")
    echo "
    </table>
    <input style=\"width: 100px; margin-left: 20px; margin-top: 10px\" type=\"submit\" value=\"Submit\">
    </form>"

    cat carel.bottom.html

    exit 0
fi

case "$QUERY_STRING" in
    flash=yes_all)
	echo "clear_all" > /dev/httpsvc
	;;

    flash=yes_keepnet)
	echo "clear_keepnet" > /dev/httpsvc
	;;

    flash=yes_logger)
	echo "clear_logger" > /dev/httpsvc
	;;

    *)
	echo "clear_abort" > /dev/httpsvc
	;;
esac

cat result.html | /usr/local/root/pcotagfilt

